Project

Profile

Help

Task #1425

Pulp - Story #1150: As a user, I can lazily fetch repositories

Importer compatibility with platform (Lazy) changes.

Added by jortel@redhat.com almost 6 years ago. Updated over 2 years ago.

Status:
CLOSED - CURRENTRELEASE
Priority:
Normal
Start date:
Due date:
% Done:

100%

Estimated time:
Platform Release:
2.8.0
Groomed:
No
Sprint Candidate:
No
Tags:
Pulp 2
Sprint:
Quarter:

Description

The Lazy effort changed the API on FileContentUnit.

The importer needs to:

  • do: unit.storage_path = <filename>
  • use import_content(path) instead of set_content(path)

Associated revisions

Revision 963f9671 View on GitHub
Added by jortel@redhat.com almost 6 years ago

ref #1425 - compatibility changes with lazy platform.

Revision 3a9de7db View on GitHub
Added by jortel@redhat.com almost 6 years ago

Merge pull request #204 from jortel/issue-1425

ref #1425 - compatibility changes with lazy platform.

History

#1 Updated by jortel@redhat.com almost 6 years ago

  • Project changed from Python Support to Puppet Support

#2 Updated by jortel@redhat.com almost 6 years ago

  • Status changed from ASSIGNED to POST

#3 Updated by mhrivnak almost 6 years ago

  • Triaged changed from No to Yes

#4 Updated by jortel@redhat.com almost 6 years ago

  • Tracker changed from Issue to Task
  • Groomed set to No
  • Sprint Candidate set to No

#5 Updated by jcline@redhat.com almost 6 years ago

  • Status changed from POST to MODIFIED
  • % Done changed from 0 to 100

#6 Updated by rbarlow almost 6 years ago

  • Status changed from MODIFIED to 5
  • Platform Release set to 2.8.0

#7 Updated by dkliban@redhat.com over 5 years ago

  • Status changed from 5 to CLOSED - CURRENTRELEASE

#8 Updated by bmbouter over 2 years ago

  • Tags Pulp 2 added

Please register to edit this issue

Also available in: Atom PDF